Results 1 to 2 of 2

Thread: Omega works "up to 3.17" but Fedora 21 released on same day with kernel 3.17.4

  1. #1

    Default Omega works "up to 3.17" but Fedora 21 released on same day with kernel 3.17.4

    Has anyone found or created a patch for Omega to work on 3.17.4-ish? I cannot downgrade to 3.16 as no such package exists for my distro release.

    Seems almost hurtful that F21 was released on the same day as Omega drivers, but the drivers do not work, making it impossible to get proprietary drivers installed.

    /usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c: In function ‘KCL_ACPI_Slot_No_Hotplug’:
    /usr/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:845:21: error: ‘struct acpi_device_flags’ has no member named ‘no_hotplug’
    tdev->flags.no_hotplug = true;

    Also, "up to 3.17" should mean anything less than 3.18, but apparently it doesn't. Does it mean <=3.17.0 ? I ask because Omega also says it works on X11 "up to 1.16" and F21 only has 1.16.2 . Could there be more problems than just this compiler error?

    Sorry I haven't kept up. Was limping along with random patches others have been posting, so I'm not sure what to do, now.

  2. #2

    Default Patch for failing build

    At least there is a patch for the code that fails to compile. See here:

    https://gist.github.com/aginor/4f232d4c28aef7685282

    It seems to work okay. aticonfig is beavhing funny, though, and configuration is a little touchy. Still, pretty lucky.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •